Bug 8616 - we cannot disable delayed acks on AIX
we cannot disable delayed acks on AIX
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: File services
3.6.1
All All
: P5 trivial
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-16 18:22 UTC by Björn Jacke
Modified: 2011-11-19 19:04 UTC (History)
1 user (show)

See Also:


Attachments
backported patch for 3.6 (1020 bytes, patch)
2011-11-18 12:45 UTC, Björn Jacke
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Jacke 2011-11-16 18:22:21 UTC
on AIX we're not able to disable delayed acks becuase the socket option is named differently here.

383a918322c1edd1977fdbce19e52e8c8e6ffac1

adds that, we should get this into 3.6.
Comment 1 Stefan Metzmacher 2011-11-18 10:58:43 UTC
Cherry-pick doesn't work
Comment 2 Björn Jacke 2011-11-18 12:45:21 UTC
Created attachment 7119 [details]
backported patch for 3.6
Comment 3 Stefan Metzmacher 2011-11-18 14:12:40 UTC
Comment on attachment 7119 [details]
backported patch for 3.6

Looks good
Comment 4 Stefan Metzmacher 2011-11-18 14:13:18 UTC
Karolin, please pick for the next release
Comment 5 Karolin Seeger 2011-11-19 19:04:57 UTC
Pushed to v3-6-test.
Closing out bug report.

Thanks!